use 5.016;
ucampas->VERSION("1.000"); # check minimally required API version

# this file feeds a hash table of parameters associated with the template
{
    # adjust template for this page
    'adjust' => sub {
        my ($t, $out, $cur, $src) = @_;

        # copy source body and classes
        my $srcbody = $src->cd('.l(*html)', '.l(*body)')
            or die('No <body> found!\n');
	my @bodyclasses = split(/\s+/, $srcbody->get('class') || '');
	my $outbody = $out->cd('.l(*html)', '.l(*body)');
	$outbody->movelist($srcbody);
	add_class($outbody, @bodyclasses);
    }
}
